﻿Namespace bitly

    Public Class bly_clicks_parameters
        Private _Short_URL As String = String.Empty
        Private _Hash As String = String.Empty


        ''' <summary>
        ''' The shortened bit.ly URL (as either http://bit.ly/1RmmUT or http://j.mp/1RmmUT)
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the shortened URL.</returns>
        ''' <remarks></remarks>
        Public Property Short_URL() As String
            Get
                Return _Short_URL
            End Get
            Set(ByVal value As String)
                _Short_URL = value
            End Set
        End Property

        ''' <summary>
        ''' The shortened bit.ly Hash (as either 1RmmUT or a-custom-name )
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the shortened hash.</returns>
        ''' <remarks></remarks>
        Public Property Hash() As String
            Get
                Return _Hash
            End Get
            Set(ByVal value As String)
                _Hash = value
            End Set
        End Property
    End Class

    Public Class bly_clicks_results

        Private _Short_URL As String = String.Empty
        Private _Global_hash As String = String.Empty
        Private _User_hash As String = String.Empty
        Private _User_clicks As String = String.Empty
        Private _Global_clicks As String = String.Empty
        Public Status As New bly_error_status

        ''' <summary>
        ''' The shortened bit.ly URL (as either http://bit.ly/1RmmUT or http://j.mp/1RmmUT)
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the shortened URL.</returns>
        ''' <remarks></remarks>
        Public Property Short_URL() As String
            Get
                Return _Short_URL
            End Get
            Set(ByVal value As String)
                _Short_URL = value
            End Set
        End Property

        ''' <summary>
        ''' The shortened bit.ly Hash (as either 1RmmUT or a-custom-name ) globaly not just this user
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the shortened hash.</returns>
        ''' <remarks></remarks>
        Public Property Global_hash() As String
            Get
                Return _Global_hash
            End Get
            Set(ByVal value As String)
                _Global_hash = value
            End Set
        End Property

        ''' <summary>
        ''' The shortened bit.ly Hash (as either 1RmmUT or a-custom-name ) just by this user
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the shortened hash.</returns>
        ''' <remarks></remarks>
        Public Property User_hash() As String
            Get
                Return _User_hash
            End Get
            Set(ByVal value As String)
                _User_hash = value
            End Set
        End Property

        ''' <summary>
        ''' The number of clicks recorded by this hash
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the number of time this users link has been clicked on.</returns>
        ''' <remarks></remarks>
        Public Property User_clicks() As String
            Get
                Return _User_clicks
            End Get
            Set(ByVal value As String)
                _User_clicks = value
            End Set
        End Property

        ''' <summary>
        ''' The total number of clicks to the Long_URL
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the number of time this link has been clicked on without referance to the user who encoded it.</returns>
        ''' <remarks></remarks>
        Public Property Global_clicks() As String
            Get
                Return _Global_clicks
            End Get
            Set(ByVal value As String)
                _Global_clicks = value
            End Set
        End Property
    End Class

End Namespace

