﻿Namespace bitly
    Public Class bly_expand_parameters
        Private _Short_URL As String = String.Empty
        Private _Hash As String = String.Empty


        ''' <summary>
        ''' The shortened bit.ly URL (as either http://bit.ly/1RmmUT or http://j.mp/1RmmUT)
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the shortened URL.</returns>
        ''' <remarks></remarks>
        Public Property Short_URL() As String
            Get
                Return _Short_URL
            End Get
            Set(ByVal value As String)
                _Short_URL = value
            End Set
        End Property

        ''' <summary>
        ''' The shortened bit.ly Hash (as either 1RmmUT or a-custom-name )
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the shortened hash.</returns>
        ''' <remarks></remarks>
        Public Property Hash() As String
            Get
                Return _Hash
            End Get
            Set(ByVal value As String)
                _Hash = value
            End Set
        End Property
    End Class

    Public Class bly_expand_results

        Private _Short_URL As String = String.Empty
        Private _Global_hash As String = String.Empty
        Private _Long_URL As String = String.Empty
        Private _User_hash As String = String.Empty
        Public Status As New bly_error_status


        ''' <summary>
        ''' The shortened bit.ly hash for the Long_URL
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the shortened hash.</returns>
        ''' <remarks></remarks>
        Public Property User_Hash() As String
            Get
                Return _User_hash
            End Get
            Set(ByVal value As String)
                _User_hash = value
            End Set
        End Property

        ''' <summary>
        ''' The orginal long URL for the hash or link
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the orginal URL.</returns>
        ''' <remarks></remarks>
        Public Property Long_URL() As String
            Get
                Return _Long_URL
            End Get
            Set(ByVal value As String)
                _Long_URL = value
            End Set
        End Property

        ''' <summary>
        ''' The bit.ly Global_hash for the Long_URL
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the shortened hash.</returns>
        ''' <remarks></remarks>
        Public Property Global_hash() As String
            Get
                Return _Global_hash
            End Get
            Set(ByVal value As String)
                _Global_hash = value
            End Set
        End Property

        ''' <summary>
        ''' The shortened bit.ly URL for the Long_URL
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the shortened URL.</returns>
        ''' <remarks></remarks>
        Public Property Short_URL() As String
            Get
                Return _Short_URL
            End Get
            Set(ByVal value As String)
                _Short_URL = value
            End Set
        End Property

    End Class

End Namespace

